Bug 178070 - "/dev/MAKEDEV sound" - the created dev entries do not survive a reboot.
"/dev/MAKEDEV sound" - the created dev entries do not survive a reboot.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 13:01 EST by Bill Jones
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 06:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Jones 2006-01-17 13:01:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I do cd /dev && ./MAKEDEV sound [Enter] and my sound system works -- however, when I reboot all the entries are deleted.

Version-Release number of selected component (if applicable):
MAKEDEV-3.20-3.ppc.rpm

How reproducible:
Always

Steps to Reproduce:
1. Log in as root; cd /dev && ./MAKEDEV sound
2. Plumb up your sound system using the Control Center
3. Verify the sounds are playing as expected; then reboot.
4. Log in as root (or anyone) and the error message is /dev/dsp is missing.


Actual Results:  After rebooting and logging in the error message states /dev/dsp is missing

Expected Results:  /dev devices defined by root should hang around after rebooting...

Additional info:

None.
Comment 1 Nalin Dahyabhai 2006-01-17 14:15:11 EST
Your system is using udev, which causes /dev to actually be a non-persistent
tmpfs filesystem.  You can force the /sbin/start_udev script to create the
/dev/dsp node when it runs at startup by creating a text file under
/etc/udev/makedev.d called, say, "99-local.nodes", and putting the word "dsp" in
it on a line by itself.

That said, most sound devices should be automatically detected by the
kernel/udev machinery, so you shouldn't need to do this if the card can be
detected at all.  What sort of sound device is it, anyway?

Reassigning to "udev" to get some more feedback.
Comment 2 Bill Jones 2006-01-17 14:29:23 EST
I understand what you mean by udev controlled -- will research that end.
About the Sound Card: Something about a "screamer" but I will post the exact
info Wednesday. Also, see: http://www.lowendmac.com/macdan/05/0202.html
Comment 3 Bill Jones 2006-01-18 16:54:30 EST
The sound card shows up as a PMac Screamer most times I reboot -- not real sure
why its intermittent...

Rather than attach a ton of screen shots and other files, I uploaded the whole
mess to my server at -

http://www.insecurity.org/pmac_screamer/
Comment 4 Harald Hoyer 2006-02-15 08:35:27 EST
is this the same as bug #176761 ??
Comment 5 Bill Jones 2006-02-15 09:02:31 EST
Yes, generally -- except I cannot use ALSA -- I end up manually getting OSS
working (non-threaded.)

I guess I should have tagged along off that bug.  Sorry.
Comment 6 Kevin Fenzi 2007-03-23 23:55:30 EDT
Hey Bill. Is this still happening with fc6/devel? 
Or was it solved when #176761 was solved? 
Comment 7 Matthew Miller 2007-04-06 13:45:36 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Bill Jones 2007-04-08 10:17:35 EDT
I have no idea, I switched to Intel and I am already at Rawhide 7.
I'm sure that if Apple sees no future in PPC why should the Fedora project spend
valuable resources in it?  Maybe we can focus on the future - like a laptop for
every kid and possibly the Cell Broadband Processor?

Note You need to log in before you can comment on or make changes to this bug.